CVE Reference: CVE-2012-3465

NOTE: The text on this page is written by CVE MITRE and reflects neither the opinions of Secunia or the results of our research. All data on this page is written and maintained by CVE MITRE.

Original Page at CVE MITRE:
CVE-2012-3465

Description:
Cross-site scripting (XSS) vulnerability in actionpack/lib/action_view/helpers/sanitize_helper.rb in the strip_tags helper in Ruby on Rails before 3.0.17, 3.1.x before 3.1.8, and 3.2.x before 3.2.8 allows remote attackers to inject arbitrary web script or HTML via malformed HTML markup.

CVE Status:
Candidate

References:

SAID
  Secunia Advisory: SA50694

REDHAT
  http://rhn.redhat.com/errata/RHSA-2013-0154.html

MLIST

CONFIRM
  http://weblog.rubyonrails.org/2012/8/9/ann-rails-3-2-8-has-been-released/


Return to the previous page.